##############################################################################
k8s-deploy:
  stage: deploy
  script:
    - cicd/k8s-deploy.sh
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: manual
    - if: $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH
      when: always
  tags:
    - custom-tag1
    - custom-tag2
  allow_failure: true

  retry:
    max: 2
    when:
      - runner_system_failure
      - stuck_or_timeout_failure
##############################################################################
helm-deploy:
  stage: deploy
  script:
    - cicd/helm-deploy.sh
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: manual
    - if: $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH
      when: always
  tags:
    - custom-tag1
    - custom-tag2
  allow_failure: true

  retry:
    max: 2
    when:
      - runner_system_failure
      - stuck_or_timeout_failure
##############################################################################